<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']= 'Подарки';
include_once '../sys/inc/thead.php';
title();
aut();
only_reg();

include_once 'imgresize.php';

$cat = mysql_query("SELECT * FROM `pod_cat`");

$cat_num = mysql_num_rows(mysql_query("SELECT * FROM `pod_cat`"));

if ($user['id']<=3){ 

echo '<div class="busi">';

echo '<img src="img.png" alt="."/> Админка > Добавить подарок<br/>';

echo '</div>';

echo '<div class="p_m">';

if (isset($_POST['submit'])){

$rnd = rand(1111,9999);

$file = $_FILES['file']['name'];

$tmp = $_FILES['file']['tmp_name'];

$type = $_FILES['file']['type'];

$cena = intval($_POST['cena']);

$cat_id = intval($_POST['cat_id']);

$files = $rnd.'_'.$file;

if (!$file){

echo 'Необходимо выбрать подарок.<br/>';

}else{

if (!$cena){

echo 'Некорректная цена.<br/>';

}else{

if ($type!=='image/jpeg' && $type!=='image/jpg' && $type!=='image/gif' && $type!=='image/png'){

echo 'Это не картинка.<br/>';

}else{

if ($cat_id == 0){

echo 'Необходимо выбрать категорию.<br/>';

}else{

echo 'Подарок успешно добавлен.<br/>';

mysql_query("INSERT INTO `pod_file` (`file`, `cat_id`, `cena`, `time`) VALUES ('".$files."', '".$cat_id."', '".$cena."', '".time()."');");

move_uploaded_file($tmp, 'image/'.$files.'');

//img_resize('image/'.$files.'', 'image/size_'.$files.'', 50, 50);

}

}

}

}

}else{

echo '<form action="/pod/new_pod.php" method="post" enctype="multipart/form-data">';
echo 'Выберите подарок:<br/><font color="red">разрешеные форматы: *.jpg, *.jpeg, *.png, *.gif</font><br/>';
echo '<input type="file" name="file"/><br/>';

echo 'В категорию:<br/>';

if ($cat_num == 0){

echo '<br/>Внимание: <font color="red">чтобы добавлять подарки, нужно создать хотябы одну категорию.</font><br/><br/>';

}else{

echo '<select name="cat_id">';
while($razdel = mysql_fetch_assoc($cat)){
echo '<option value="'.$razdel['id'].'">'.$razdel['name'].'</option>';
};
echo '</select><br/>';

}

echo 'Цена подарка:<br/><font color="red">будет добавлятся к основной цене категории в которой будет находится подарок.</fon><br/>';
echo '<input type="text" name="cena" value=""/><br/>';

echo '<input type="submit" name="submit" value="Далее"/>';

}

echo '</div>';

echo '<div class="foot">';

echo '<img src="/style/icons/back.png" alt="."/> <a href="/pod/admin.php">Админка</a><br/>';

echo '</div>';

}else{

header("Location: /pod/");

}

include_once '../sys/inc/tfoot.php';
?>